QGIS Application - Bug report #11428
Remove the option "Write absolute path" from gdal tileindex tool
2014-10-17 07:27 AM - Pedro Venancio

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19704
Description

Raster Tile Index (gdaltindex)(Raster -> Miscellaneous -> Tile Index)

always generates absolute paths, regardless of the "Write absolute path" option is selected or not.

Tested on QGIS 2.5.0-102 (OSGeo4W).

Related issues:
Related to QGIS Application - Bug report # 4064: gdal tileindex always write ... Closed 2011-07-08

History

#1 - 2014-10-17 07:56 AM - Giovanni Manghi
- Status changed from Open to Feedback

does the gdal command, issued by the cli, return the correct results?

#2 - 2014-10-17 08:08 AM - Pedro Venancio

Yes Giovanni, in the cli, using -write_absolute_path generates absolute paths. Without that option, it generates relative paths. I'm with GDAL 1.11.1.

#3 - 2014-10-17 08:14 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2014-10-31 05:55 AM - Jiirgen Fischer
- Target version changed from Version 2.6 to Future Release - High Priority

#5 - 2015-02-21 04:45 AM - Pedro Venancio

Now | see that this isn't a QGIS problem, because it also happens at the command line.

If I put the command line in the folder where the raster files are located, gdaltindex works well, ie, with -write_absolute_path option, absolute paths are
saved in the attribute table, and without -write_absolute_path option are saved only the names of files.

D:\\test\\2013\\tiff> gdaltindex -f "ESRI Shapefile" tile_index_processing_2.shp 171_2_52.tif 171_2_42.tif

But if | reference the input raster files with the absolute paths (for example, when files are in different folders), the -write_absolute_path option has no
influence, because absolute paths are always recorded in the attribute table.

D:\\> gdaltindex -f "ESRI Shapefile" D:\\test\2013\\tiff\\tile_index_processing_3.shp D:\\test\2013\\tiff\\171_2_52.tif D:\\test\2013\171_2_42.tif

Like Even says here http://osgeo-org.1560.x6.nabble.com/gdal-dev-gdaltindex-produces-absolute-paths-td5188952.html

and http://www.gdal.org/gdaltindex.html

" -write_absolute_path: (...) By default the raster filenames will be put in the file exactly as they are specified on the command line. "

Thus, unless the raster files are stored in the same folder where QGIS Raster Tile Index tool runs, we will always have the absolute path in the result.

So, do you think we should hide this option in Raster Tile Index interface?

#6 - 2015-02-23 03:15 PM - Giovanni Manghi

- Subject changed from Raster Tile Index always produces absolute paths to Remove the option "Write absolute path" from gdal tileindex tool

So, do you think we should hide this option in Raster Tile Index interface?

yes, because anyway as it is implemented in qgis the path to input files (in the command line) will be always absolute, returning always an absolute path in

the index.

#7 - 2015-09-30 04:10 PM - Pedro Venancio
- Status changed from Open to Closed

Pull request submitted to remove the "Write absolute path" option from gdal tileindex: https://github.com/qgis/QGIS/pull/2343
